##########################################################
# Fedora Core Planner RPM SPEC file
##########################################################

##################################
# Package Info
##################################
Summary:		A graphical project management tool.
Name:		planner
Version:		0.11
Release:		1
URL:			http://planner.imendio.org
License:		GPL
Group:		Applications/Productivity
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	mrproject libmrproject

########################
Requires:		libgnomeprintui22 >= 2.2.0
PreReq:		scrollkeeper >= 0.1.4


########################
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libgsf-devel >= 1.6
BuildRequires:	gtk2-devel >= 2.0
BuildRequires:	libxml2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	ORBit2-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	libglade-devel
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	intltool autoconf automake17


##################################
# Sources
##################################

# http://ftp.gnome.org/pub/GNOME/sources/planner/0.11/planner-0.11.tar.bz2
Source0: %{name}-%{version}.tar.bz2



##################################
# Description
##################################
%description
Planner is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install Planner if you wish to manage schedules, allocate
resources, and track the progress of your projects.


##################################
# Prep/Setup
##################################
%prep
%setup0 -q

##################################
# Build
##################################
%build

intltoolize
libtoolize --force
aclocal-1.7
automake-1.7
autoconf
%configure

make


##################################
# Install
##################################
%install
rm -rf "%{buildroot}"

%makeinstall

#desktop-file-install --vendor imendio --delete-original       \
#  --dir %{buildroot}%{_datadir}/applications             \
#  --add-category X-Red-Hat-Base                             \
#  %{buildroot}%{_datadir}/applications/planner.desktop

/bin/rm -rf %{buildroot}/var/scrollkeeper
/bin/rm %{buildroot}/%{_libdir}/*.la
/bin/rm %{buildroot}/%{_libdir}/planner/file-modules/*.la
/bin/rm %{buildroot}/%{_libdir}/planner/storage-modules/*.la
/bin/rm %{buildroot}/%{_libdir}/planner/plugins/*.la
/bin/rm %{buildroot}/%{_libdir}/planner/views/*.la

%find_lang %name


##################################
# Post-install
##################################
%post
scrollkeeper-update


##################################
# Post-Uninstall
##################################
%postun
scrollkeeper-update


##################################
# Clean
##################################
%clean
rm -rf "$RPM_BUILD_ROOT"


##################################
# Files
##################################
%files
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/planner
%{_libdir}/planner
%{_libdir}/libplanner*
%{_libdir}/pkgconfig/*
%{_datadir}/planner
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gtk-doc/html/libplanner
%{_datadir}/gnome/help/planner/*
%{_datadir}/omf/planner/planner-C.omf
%{_datadir}/locale/*/LC_MESSAGES/*
%{_includedir}/planner-1.0

##################################
# Changelog
##################################
%changelog
* Thu Apr 8 2004 Dan Williams <dcbw@redhat.com> 0.11-1
- Initial Release of 0.11 RPMs
